package com.sun.org.apache.xpath.internal.axes;

import org.w3c.dom.traversal.NodeIterator;
import org.w3c.dom.Node;

public interface ContextNodeList
{
    public abstract Node getCurrentNode();
    
    public abstract int getCurrentPos();
    
    public abstract void reset();
    
    public abstract void setShouldCacheNodes(boolean p0);
    
    public abstract void runTo(int p0);
    
    public abstract void setCurrentPos(int p0);
    
    public abstract int size();
    
    public abstract boolean isFresh();
    
    public abstract NodeIterator cloneWithReset() throws CloneNotSupportedException;
    
    public abstract Object clone() throws CloneNotSupportedException;
    
    public abstract int getLast();
    
    public abstract void setLast(int p0);
}
